<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="_o_auth_id_8h" kind="file" language="C++">
    <compoundname>OAuthId.h</compoundname>
    <includes local="no">QtCore/QByteArray</includes>
    <includes local="no">QString</includes>
    <includedby refid="_o_auth_8h" local="yes">auth/OAuth/OAuth.h</includedby>
    <includedby refid="_o_auth_id_8cpp" local="yes">auth/OAuthId/OAuthId.cpp</includedby>
    <incdepgraph>
      <node id="230">
        <label>QString</label>
      </node>
      <node id="229">
        <label>QtCore/QByteArray</label>
      </node>
      <node id="228">
        <label>auth/OAuthId/OAuthId.h</label>
        <link refid="OAuthId.h"/>
        <childnode refid="229" relation="include">
        </childnode>
        <childnode refid="230" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <invincdepgraph>
      <node id="234">
        <label>app/App/App.h</label>
        <link refid="_app_8h_source"/>
      </node>
      <node id="235">
        <label>tests/oauth.h</label>
        <link refid="oauth_8h_source"/>
      </node>
      <node id="231">
        <label>auth/OAuthId/OAuthId.h</label>
        <link refid="OAuthId.h"/>
        <childnode refid="232" relation="include">
        </childnode>
      </node>
      <node id="232">
        <label>auth/OAuth/OAuth.h</label>
        <link refid="_o_auth_8h_source"/>
        <childnode refid="233" relation="include">
        </childnode>
        <childnode refid="234" relation="include">
        </childnode>
        <childnode refid="235" relation="include">
        </childnode>
      </node>
      <node id="233">
        <label>streams/IOStream/IOStream.h</label>
        <link refid="_i_o_stream_8h_source"/>
        <childnode refid="234" relation="include">
        </childnode>
      </node>
    </invincdepgraph>
    <innerclass refid="class_o_auth_id" prot="public">OAuthId</innerclass>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"></codeline>
<codeline lineno="18"><highlight class="preprocessor">#ifndef<sp/>LIBRARYMGR_OAUTHID_H</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="19"><highlight class="normal"></highlight><highlight class="preprocessor">#define<sp/>LIBRARYMGR_OAUTHID_H</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="20"><highlight class="normal"></highlight></codeline>
<codeline lineno="21"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QtCore/QByteArray&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="22"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&lt;QString&gt;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="23"><highlight class="normal"></highlight></codeline>
<codeline lineno="24"><highlight class="normal"></highlight></codeline>
<codeline lineno="28" refid="class_o_auth_id" refkind="compound"><highlight class="keyword">class<sp/></highlight><highlight class="normal"><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>{</highlight></codeline>
<codeline lineno="29"><highlight class="normal"></highlight><highlight class="keyword">public</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="36"><highlight class="normal"><sp/><sp/><sp/><sp/><ref refid="class_o_auth_id_1a9c79e46493ade8bfd80ce76cdf737f5b" kindref="member">OAuthId</ref>(QString<sp/>username,<sp/>QString<sp/>password);</highlight></codeline>
<codeline lineno="37"><highlight class="normal"></highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp/><sp/><sp/><sp/><ref refid="class_o_auth_id_1a9c79e46493ade8bfd80ce76cdf737f5b" kindref="member">OAuthId</ref>(QByteArray<sp/>userHash,<sp/>QByteArray<sp/>passwordHash);</highlight></codeline>
<codeline lineno="45"><highlight class="normal"></highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="comment">//<sp/>getters</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="47"><highlight class="normal"></highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/>QString<sp/><ref refid="class_o_auth_id_1ad0de83b6ce1bc32fd31a9a691829998b" kindref="member">getUserHash</ref>()<sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="53"><highlight class="normal"></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/>QString<sp/><ref refid="class_o_auth_id_1a2d56afa3d3ba8274e84dcc731cc8ab49" kindref="member">getPasswordHash</ref>()<sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="59"><highlight class="normal"></highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="comment">//<sp/>operators</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="61"><highlight class="normal"></highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp/><sp/><sp/><sp/><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>&amp;<ref refid="class_o_auth_id_1ab3a93fd96aec89e320b442aeaf5e061d" kindref="member">operator=</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>&amp;</highlight><highlight class="keywordtype">id</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="68"><highlight class="normal"></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_id_1a67e1547b732f2d2e22c20a8e7171310e" kindref="member">operator==</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>&amp;other)<sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="75"><highlight class="normal"></highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_id_1a7bf5d93c1825b78515519013b05c5062" kindref="member">operator!=</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>&amp;other)<sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="82"><highlight class="normal"></highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keyword">friend</highlight><highlight class="normal"><sp/>std::ostream<sp/>&amp;<ref refid="class_o_auth_id_1a128cd6ee21a190c1863b302232f31e21" kindref="member">operator&lt;&lt;</ref>(std::ostream<sp/>&amp;out,<sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>&amp;oauthId);</highlight></codeline>
<codeline lineno="90"><highlight class="normal"></highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp/>QByteArray<sp/><ref refid="class_o_auth_id_1aded9ca21e04af643afac6bfef5803fe6" kindref="member">getHash</ref>(std::string<sp/>toBeHashed);</highlight></codeline>
<codeline lineno="97"><highlight class="normal"></highlight></codeline>
<codeline lineno="98"><highlight class="normal"></highlight><highlight class="keyword">private</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp/><sp/><sp/><sp/>QByteArray<sp/>userHash;</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp/><sp/><sp/><sp/>QByteArray<sp/>passwordHash;</highlight></codeline>
<codeline lineno="101"><highlight class="normal">};</highlight></codeline>
<codeline lineno="102"><highlight class="normal"></highlight></codeline>
<codeline lineno="103"><highlight class="normal"></highlight></codeline>
<codeline lineno="104"><highlight class="normal"></highlight><highlight class="preprocessor">#endif<sp/>//LIBRARYMGR_OAUTHID_H</highlight></codeline>
    </programlisting>
    <location file="auth/OAuthId/OAuthId.h"/>
  </compounddef>
</doxygen>
